<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xh="http://www.w3.org/1999/xhtml"
    xmlns:xi="http://www.w3.org/2003/XInclude"
    xmlns:l="http://orbeon.org/layout">

    <xsl:template match="/">
        <l:page title="OIS FAQ" id="test">

            <l:center>
                <xh:h1>OIS FAQ</xh:h1>

                <!-- Generate TOC -->
                <xsl:for-each select="faq/group">
                    <xsl:variable name="group-position" select="position()"/>
                    <xh:h3><xsl:value-of select="title"/></xh:h3>
                    <xh:ul style="list-style-type: none">
                        <xsl:for-each select="entry">
                            <xsl:variable name="num" select="concat($group-position, '.', position())"/>
                            <xsl:variable name="id">
                                <xsl:choose>
                                    <xsl:when test="@id"><xsl:value-of select="normalize-space(@id)"/></xsl:when>
                                    <xsl:otherwise><xsl:value-of select="$num"/></xsl:otherwise>
                                </xsl:choose>
                            </xsl:variable>
                            <xh:li>
                                <xh:a href="#{$id}">
                                    <xsl:value-of select="concat($num, '. ', question)"/>
                                </xh:a>
                            </xh:li>
                        </xsl:for-each>
                    </xh:ul>
                </xsl:for-each>

                <!-- Actual entries -->
                <xsl:for-each select="faq/group">
                    <xsl:variable name="group-position" select="position()"/>
                    <xh:hr size="1" noshade="true"/>
                    <xsl:for-each select="entry">
                        <xsl:variable name="num" select="concat($group-position, '.', position())"/>
                        <xsl:variable name="id">
                            <xsl:choose>
                                <xsl:when test="@id"><xsl:value-of select="normalize-space(@id)"/></xsl:when>
                                <xsl:otherwise><xsl:value-of select="$num"/></xsl:otherwise>
                            </xsl:choose>
                        </xsl:variable>
                        <xh:a name="{$id}"/>
                        <xh:h3><xsl:value-of select="concat($num, '. ', question)"/></xh:h3>
                        <xsl:apply-templates select="answer/node()"/>
                    </xsl:for-each>
                </xsl:for-each>
            </l:center>
            <l:right>
                <l:sf-news-feed/>
                <!-- <xi:include href="../software/osi-right-box.xml"/> -->
            </l:right>

        </l:page>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
