<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xxforms="http://orbeon.org/oxf/xml/xforms"
    xmlns:xforms-utils="java:org.orbeon.oxf.processor.xforms.XFormsUtils">

    <xsl:import href="oxf:/oxf/xslt/utils/copy.xsl"/>

    <xsl:template match="form[@xxforms:contains-hidden = 'true']">
        <xsl:variable name="encrypt-names" as="xs:boolean"
            select="xforms-utils:is-name-encryption-enabled() and not(xforms-utils:is-hidden-encryption-enabled())"/>
        <xsl:copy>
            <xsl:apply-templates select="(@*|node()) except @xxforms:contains-hidden"/>
            <xsl:variable name="aggregated-hidden" as="xs:string*">
                <xsl:for-each select=".//xxforms:hidden">
                    <xsl:sequence select="if (encrypt-names) then xforms-utils:encrypt(@xxforms:name) else @xxforms:name"/>
                    <xsl:sequence select="escape-uri(@xxforms:value, true())"/>
                </xsl:for-each>
            </xsl:variable>
            <xsl:if test="$aggregated-hidden">
                <xsl:variable name="aggregated-hidden-joined" as="xs:string" select="string-join($aggregated-hidden, '^')"/>
                <input type="hidden" name="$hidden" value="{if (xforms-utils:is-hidden-encryption-enabled())
                        then xforms-utils:encrypt(string($aggregated-hidden-joined)) else $aggregated-hidden-joined}"/>
            </xsl:if>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="xxforms:hidden"/>
</xsl:stylesheet>
