<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xforms="http://www.w3.org/2002/xforms"
    xmlns:xxforms="http://orbeon.org/oxf/xml/xforms"
    xmlns:portlet="http://www.orbeon.org/oxf/portlet"
    xmlns:xforms-utils="java:org.orbeon.oxf.processor.xforms.XFormsUtils">

    <xsl:import href="oxf:/oxf/xslt/utils/copy.xsl"/>

    <xsl:variable name="xhtml-data-hidden" select="/*/*[1]" as="element()"/>
    <xsl:variable name="annotated-data" select="/*/*[2]" as="element()"/>

    <xsl:variable name="forms" select="$xhtml-data-hidden//form[@portlet:is-portlet-form = 'true']" as="element()*"/>
    <xsl:variable name="forms-ids" select="for $i in $forms return generate-id($i)" as="xs:string*"/>

    <xsl:variable name="reference-xform" select="($annotated-data//xforms:group)[1]" as="element()?"/>

    <xsl:variable name="reference-xform-name-values" as="xs:string*">
        <xsl:for-each select="$reference-xform//(xforms:* | xxforms:hidden)[@xxforms:name and @xxforms:value]">
            <xsl:sequence select="if (encrypt-names) then xforms-utils:encrypt(@xxforms:name) else @xxforms:name"/>
            <xsl:sequence select="escape-uri(@xxforms:value, true())"/>
        </xsl:for-each>
    </xsl:variable>
    
    <xsl:template match="/">
        <xsl:apply-templates select="$xhtml-data-hidden"/>
    </xsl:template>

    <xsl:template match="form[generate-id() = $forms-ids]">
        <xsl:copy>
            <xsl:apply-templates select="@*|node() except @portlet:is-portlet-form"/>
            <xsl:if test="$reference-xform-name-values">
                <xsl:variable name="reference-xform-name-values-joined" as="xs:string"
                    select="string-join($reference-xform-name-values, '^')"/>
                <input type="hidden" name="$hidden" value="{if (xforms-utils:is-hidden-encryption-enabled())
                        then xforms-utils:encrypt(string($reference-xform-name-values-joined)) else $reference-xform-name-values-joined}"/>
            </xsl:if>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
