<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline">
    <p:param type="input" name="instance"/>
    <p:param type="output" name="data"/>

    <p:processor uri="oxf/processor/sql">
        <p:input name="data" href="#instance"/>
        <p:input name="config">
            <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                <sql:connection>
                    <sql:datasource>db</sql:datasource>
                    <sql:execute>
                        <sql:query>
                             SELECT email FROM users
                               WHERE email = <sql:param type="xs:string" select="/form/email"/>
                               AND hash = <sql:param type="xs:string" select="/form/hash"/>
                        </sql:query>
                        <sql:results>
                            <sql:row-results>
                                <email>
                                    <sql:get-column type="xs:string" column="email"/>
                                </email>
                            </sql:row-results>
                        </sql:results>
                        <sql:no-results>
                            <error/>
                        </sql:no-results>
                    </sql:execute>
                </sql:connection>
            </sql:config>
        </p:input>
        <p:output name="data" id="email"/>
    </p:processor>


    <p:choose href="#email">
        <p:when test="/email">
             <p:processor uri="oxf/processor/sql">
                <p:input name="data" href="#instance"/>
                <p:input name="config">
                    <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                        <sql:connection>
                            <sql:datasource>db</sql:datasource>
                            <success/>
                            <sql:execute>
                                <sql:update>
                                    UPDATE users
                                    SET password = <sql:param type="xs:string" select="/form/password1"/>
                                    where email =   <sql:param type="xs:string" select="/form/email"/>
                                </sql:update>
                            </sql:execute>
                        </sql:connection>
                    </sql:config>
                </p:input>
                 <p:output name="data" ref="data"/>
             </p:processor>


        </p:when>
        <p:otherwise>
            <p:processor uri="oxf/processor/identity">
                <p:input name="data" href="#email"/>
                <p:output name="data" ref="data"/>
            </p:processor>

        </p:otherwise>
    </p:choose>


</p:config>