<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline">
    <p:param type="output" name="data" />

    <p:processor uri="oxf/processor/request">
        <p:input name="config">
             <config>
                 <include>/request/query-string</include>
             </config>
        </p:input>
        <p:output name="data" id="request" />
    </p:processor>



    <p:processor uri="oxf/processor/sql">
        <p:input name="data" href="#request"/>
        <p:input name="config">
            <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                <sql:connection>
                    <sql:datasource>db</sql:datasource>
                    <sql:execute>
                        <sql:query>
                             SELECT email FROM users
                               WHERE hash =
                            <sql:param type="xs:string" select="/request/query-string"/>
                        </sql:query>
                        <sql:results>
                            <sql:row-results>
                                <email>
                                    <sql:get-column type="xs:string" column="email"/>
                                </email>
                            </sql:row-results>
                        </sql:results>
                        <sql:no-results>
                            <error/>
                        </sql:no-results>
                    </sql:execute>
                </sql:connection>
            </sql:config>
        </p:input>
        <p:output name="data" id="email"/>
    </p:processor>

    <p:choose href="#email">
        <p:when test="/email">
            <p:processor uri="oxf/processor/sql">
                <p:input name="data" href="#email"/>
                <p:input name="config">
                    <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                        <sql:connection>
                            <sql:datasource>db</sql:datasource>
                            <success/>
                            <sql:execute>
                                <sql:update>
                             UPDATE users
                                    SET verified = 1,
                                        uid = floor( (rand() * 100000) + 1)
                               WHERE email =
                                    <sql:param type="xs:string" select="/email"/>
                                </sql:update>
                            </sql:execute>
                            <sql:execute>
                                <sql:update>
                                    INSERT INTO roles (email, role) VALUES
                                    (<sql:param type="xs:string" select="/email"/>, 'user')
                                </sql:update>
                            </sql:execute>
                        </sql:connection>
                    </sql:config>
                </p:input>
                <p:output name="data" ref="data"/>
            </p:processor>
        </p:when>
        <p:otherwise>
            <p:processor uri="oxf/processor/identity">
                <p:input name="data">
                    <error>Wrong Hash</error>
                </p:input>
                <p:output name="data" ref="data"/>
            </p:processor>

        </p:otherwise>
    </p:choose>



</p:config>