<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline">
    <p:param type="input" name="instance"/>
    <p:param type="output" name="data"/>

    <p:processor uri="oxf/processor/sql">
        <p:input name="data" href="#instance"/>
        <p:input name="config">
            <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                <sql:connection>
                    <sql:datasource>db</sql:datasource>
                    <sql:execute>
                        <sql:query>
                             SELECT firstname, lastname, email, hash FROM users
                               WHERE email = trim(<sql:param type="xs:string" select="/form/email"/>)
                        </sql:query>
                        <sql:results>
                            <existing>
                                <sql:row-results>
                                    <hash><sql:get-column type="xs:string" column="hash"/></hash>
                                    <firstname><sql:get-column type="xs:string" column="firstname"/></firstname>
                                    <lastname><sql:get-column type="xs:string" column="lastname"/></lastname>
                                    <email><sql:get-column type="xs:string" column="email"/></email>
                                </sql:row-results>
                            </existing>
                        </sql:results>
                        <sql:no-results>
                            <error/>
                        </sql:no-results>
                    </sql:execute>
                </sql:connection>
            </sql:config>
        </p:input>
        <p:output name="data" id="existing"/>
    </p:processor>


    <p:choose href="#existing">
        <p:when test="/existing">

            <p:processor uri="oxf/processor/xslt-2.0">
                <p:input name="data" href="#existing" />
                <p:input name="config">
                    <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                        <xsl:template match="/">
                            <message>
                                <smtp-host>localhost</smtp-host>
                                <from>
                                    <email>oxf-info@orbeon.com</email>
                                    <name>OXF Info</name>
                                </from>
                                <to>
                                    <email><xsl:value-of select="/existing/email"/></email>
                                    <name><xsl:value-of select="/existing/firstname"/> <xsl:value-of select="/existing/lastname"/></name>
                                </to>
                                <subject>OXF - Password Reminder</subject>
                                <text>
Dear <xsl:value-of select="/existing/firstname"/>

Thank you for your interest in Orbeon. You have asked to change
your My Orbeon password for the following account: <xsl:value-of select="/existing/email"/>.
Please click on the link below to complete the operation.

http://www.orbeon.com/login/reset-password?<xsl:value-of select="/existing/hash"/>


Best regards,

-The Orbeon Team
                                </text>
                            </message>
                        </xsl:template>
                    </xsl:stylesheet>
                </p:input>
                <p:output name="data" id="email" />
            </p:processor>

            <p:processor uri="oxf/processor/email" xmlns:p="http://www.orbeon.com/oxf/pipeline">
                <p:input name="data" href="#email"/>
            </p:processor>


            <p:processor uri="oxf/processor/identity">
                <p:input name="data" href="#existing"/>
                <p:output name="data" ref="data"/>
            </p:processor>

        </p:when>
        <p:otherwise>
            <p:processor uri="oxf/processor/identity">
                <p:input name="data" href="#existing"/>
                <p:output name="data" ref="data"/>
            </p:processor>

        </p:otherwise>
    </p:choose>


</p:config>
