
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.w3.org/1999/XSL/Transform http://www.orbeon.com/1999/XSL/Transform"
    xmlns:xf="http://www.w3.org/2002/xforms">


    <xsl:template match="/">
        <l:page xmlns="http://www.w3.org/1999/xhtml"
            xmlns:xf="http://www.w3.org/2002/xforms"
            xmlns:xxf="http://orbeon.org/oxf/xml/xforms"
            xmlns:xs="http://www.w3.org/2001/XMLSchema"
            xmlns:l="http://orbeon.org/layout"

            title="My Orbeon - Registration">

            <l:center>
                <h1>Orbeon Registration</h1>

                <p>
                Please fill out the form below. Fields with a
                    <font color="red">*</font> are mandatory.
                </p>

                <l:errors/>

                <xf:group ref="form">
                    <table>
                        <tr>
                            <td>
                                Email Address
                            </td>
                            <td>
                                <xf:input ref="email"/>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                Password
                            </td>
                            <td>
                                <xf:secret ref="password1"/>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                Retype Password
                            </td>
                            <td>
                                <xf:secret ref="password2"/>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                First Name
                            </td>
                            <td>
                                <xf:input ref="first-name"/>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                Last Name
                            </td>
                            <td>
                                <xf:input ref="last-name"/>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                Company
                            </td>
                            <td>
                                <xf:input ref="company"/>

                            </td>
                        </tr>
                        <tr>
                            <td>Job Title</td>
                            <td>
                                <xf:input ref="job-title"/>
                            </td>
                        </tr>
                        <tr>
                            <td>Industry</td>
                            <td>
                                <xf:select1 ref="industry" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Consulting</xf:value>
                                            <xf:label>Consulting</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Distribution</xf:value>
                                            <xf:label>Distribution</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Education</xf:value>
                                            <xf:label>Education</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Financial Services</xf:value>
                                            <xf:label>Financial Services</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Government</xf:value>
                                            <xf:label>Government</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Healthcare</xf:value>
                                            <xf:label>Healthcare</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Insurance</xf:value>
                                            <xf:label>Insurance</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Manufacturing</xf:value>
                                            <xf:label>Manufacturing</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Other</xf:value>
                                            <xf:label>Other</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Telecommunications</xf:value>
                                            <xf:label>Telecommunications</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Utilities</xf:value>
                                            <xf:label>Utilities</xf:label>
                                        </xf:item>
                                    </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>Developing Solutions for:</td>
                            <td>
                                <xf:select1 ref="build-for" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>in-house use (enterprise)</xf:value>
                                            <xf:label>in-house use (enterprise)</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>resale (OEM or VAR)</xf:value>
                                            <xf:label>resale (OEM or VAR)</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>client use (consultant or integrator)</xf:value>
                                            <xf:label>client use (consultant or integrator)</xf:label>
                                        </xf:item>
                                    </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>Work Phone Number</td>
                            <td>
                                <xf:input ref="work-phone"/>
                            </td>
                        </tr>
                        <tr>
                            <td>Size of Development Team</td>
                            <td>
                                <xf:input ref="team-size"/>
                            </td>
                        </tr>
                        <tr>
                            <td>Interest Level</td>
                            <td>
                                <xf:select1 ref="interest-level" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Casual Interest</xf:value>
                                            <xf:label>Casual Interest</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Currently making decision</xf:value>
                                            <xf:label>Currently making decision</xf:label>
                                        </xf:item>
                                    </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>How did you hear about OXF?</td>
                            <td>
                                <xf:input ref="source"/>
                            </td>
                        </tr>
                        <tr>
                            <td>Which Application Server(s) do you plan to use?</td>
                            <td>
                                <xf:select1 ref="app-server" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>BEA WebLogic</xf:label>
                                            <xf:value>BEA WebLogic</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>IBM WebSphere</xf:label>
                                            <xf:value>IBM WebSphere</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>Apache Tomcat</xf:label>
                                            <xf:value>Apache Tomcat</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>Oracle AS</xf:label>
                                            <xf:value>Oracle AS</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>SunOne iPlanet</xf:label>
                                            <xf:value>SunOne iPlanet</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>Other - please specify</xf:label>
                                            <xf:value>Other - please specify</xf:value>
                                        </xf:item>
                                    </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>&#160;</td>
                            <td>
                                <xf:input ref="app-server-other"/>
                            </td>
                        </tr>

                        <tr>
                            <td>Which development environment(s) are you using?</td>
                            <td>
                                <xf:select1 ref="ide" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>Borland JBuilder</xf:label>
                                            <xf:value>Borland JBuilder</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>IBM WASD / Eclipse</xf:label>
                                            <xf:value>IBM WASD / Eclipse</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>SunONE Studio (Forte for Java)</xf:label>
                                            <xf:value>SunONE Studio (Forte for Java)</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>IDEA - IntelliJ</xf:label>
                                            <xf:value>IDEA - IntelliJ</xf:value>
                                        </xf:item>
                                        <xf:item>
                                            <xf:label>Other - please specify</xf:label>
                                            <xf:value>Other - please specify</xf:value>
                                        </xf:item>
                                </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>&#160;</td>
                            <td>
                                <xf:input ref="ide-other"/>
                            </td>
                        </tr>

                        <tr>
                            <td>Will you be using OXF to develop:</td>
                            <td>
                                <xf:select1 ref="target" appearance="minimal">
                                    <xf:choices>
                                        <xf:item>
                                            <xf:value></xf:value>
                                            <xf:label>-</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Web Applications</xf:value>
                                            <xf:label>Web Applications</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Publishing Applications</xf:value>
                                            <xf:label>Publishing Applications</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Faceless Applications</xf:value>
                                            <xf:label>Faceless Applications</xf:label>
                                        </xf:item>
                                        <xf:item>
                                            <xf:value>Other - please specify</xf:value>
                                            <xf:label>Other - please specify</xf:label>
                                        </xf:item>
                                    </xf:choices>
                                </xf:select1>
                            </td>
                        </tr>
                        <tr>
                            <td>&#160;</td>
                            <td>
                                <xf:input ref="target-other"/>
                            </td>
                        </tr>


                        <tr>
                            <td valign="top">What key issues would you like OXF to address?</td>
                            <td>
                                <xf:textarea ref="issue"/>
                            </td>
                        </tr>

                        <tr>
                            <td>&#160;</td>
                            <td>
                                <xf:submit>
                                    <xf:label>Register</xf:label>
                                    <xf:setvalue ref="action">register</xf:setvalue>
                                </xf:submit>
                            </td>
                        </tr>

                    </table>
                </xf:group>
            </l:center>

        </l:page>
    </xsl:template>
</xsl:stylesheet>
