<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline">
    <p:param type="input" name="instance" />
    <p:param type="output" name="instance" />
    <p:param type="output" name="data" />

    <p:processor uri="oxf/processor/request">
        <p:input name="config">
             <config>
                 <include>/request/query-string</include>
             </config>
        </p:input>
        <p:output name="data" id="request" />
    </p:processor>



    <p:processor uri="oxf/processor/sql">
        <p:input name="data" href="#request"/>
        <p:input name="config">
            <sql:config xmlns:sql="http://orbeon.org/oxf/xml/sql">
                <sql:connection>
                    <sql:datasource>db</sql:datasource>
                    <sql:execute>
                        <sql:query>
                             SELECT email FROM users
                               WHERE hash =
                            <sql:param type="xs:string" select="/request/query-string"/>
                        </sql:query>
                        <sql:results>
                            <sql:row-results>
                                <email>
                                    <sql:get-column type="xs:string" column="email"/>
                                </email>
                            </sql:row-results>
                        </sql:results>
                        <sql:no-results>
                            <error/>
                        </sql:no-results>
                    </sql:execute>
                </sql:connection>
            </sql:config>
        </p:input>
        <p:output name="data" id="email"/>
    </p:processor>


    <p:choose href="#email">
        <p:when test="/email">
            <p:processor uri="oxf/processor/xslt-2.0">
                <p:input name="data" href="#instance"/>
                <p:input name="stuff" href="aggregate('root', #request, #email)"/>
                <p:input name="config">
                    <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                        <xsl:variable name="stuff" select="doc('oxf:stuff')"/>
                        <xsl:template match="/">
                            <form>
                                <action/>
                                <xsl:copy-of select="$stuff/root/email"/>
                                <hash>
                                    <xsl:value-of select="$stuff/root/request/query-string"/>
                                </hash>
                                <password1/>
                                <password2/>
                            </form>
                        </xsl:template>
                    </xsl:stylesheet>
                </p:input>
                <p:output name="data" ref="instance"/>
            </p:processor>

            <p:processor uri="oxf/processor/identity">
                <p:input name="data">
                    <success/>
                </p:input>
                <p:output name="data" ref="data"/>
            </p:processor>


        </p:when>
        <p:otherwise>
            <p:processor uri="oxf/processor/identity">
                <p:input name="data" href="#instance"/>
                <p:output name="data" ref="instance"/>
            </p:processor>

            <p:processor uri="oxf/processor/identity">
                <p:input name="data">
                    <error>Wrong Hash</error>
                </p:input>
                <p:output name="data" ref="data"/>
            </p:processor>

        </p:otherwise>
    </p:choose>



</p:config>