<!--
  - Copyright 1998-2003, Orbeon, Inc.
  - All Rights Reserved
  - 
  - This is unpublished proprietary source code of Orbeon, Inc. The
  - copyright notice above does not evidence any actual or intended
  - publication of such source code.
  -->

<p:config xmlns:p="http://www.orbeon.com/oxf/pipeline" xmlns:oxf="http://www.orbeon.com/oxf/processors" xmlns:xs="http://www.w3.org/2001/XMLSchema">

    <p:processor name="oxf:request">
        <p:input name="config">
            <config>
                <include>/request/headers/header[name='user-agent']</include>
            </config>
        </p:input>
        <p:output name="data" id="ua" />
    </p:processor>

    <p:processor name="oxf:xslt">
        <p:input name="data"><dummy/></p:input>
        <p:input name="ua" href="#ua"/>
        <p:input name="config">
            <xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                <xsl:import href="colors.xsl"/>

                <xsl:variable name="ie" as="xs:boolean" select="contains(doc('oxf:ua')/request/headers/header/value, 'MSIE')"/>

                <xsl:template match="/">
<root>
body {
    margin:.71em .71em .71em .71em;
    padding: 0em;
    font-family: Arial, Helvetica, Geneva, sans-serif;
    font-size: 9pt;
    line-height: 13pt;
    min-width: 800px;
    width: expression(document.body.clientWidth &lt; 800 ? '800px' : '1200px' );
    }

b {
    color: <xsl:value-of select="$dark-color"/>;
    }

tt {
    font-family: "Lucida Console";
    font-size: 9pt;
    }

#main {
    border-right: 1px solid <xsl:value-of select="$dark-color"/>;
    border-left: 1px solid <xsl:value-of select="$dark-color"/>;
    border-bottom:1px solid <xsl:value-of select="$dark-color"/>;
    }

#main1 {
		margin: 0;
        padding:0;
		background:white url("images/left-column-white.png") top left repeat-y;
     }

#main2 {
		margin:0;
        padding:0;
		background:url("images/right-column-white.png") top right repeat-y;
		}

#main2-home {
		margin:0; padding:0;
		background:url("images/right-column-orange.png") top right repeat-y;
		}

#leftcontent {
		float:left;
		width:161px;
		margin:0; padding:0;
        line-height: 15pt;
		}

#rightcontent {
		float:right;
		width:190px;
		margin:0; padding:0;
		}

#centercontent {
		margin:0px 190px 0px 161px;
		background: white;
		}

.cleaner {
		clear:both;
		height:1px;
		font-size:1px;
		border:none;
		margin:0; padding:0;
		background:transparent;
		}


#rightcontent p {
        font-size: x-small;
		}

#banner {
		background:#fff;
		height:4em;
        white-space: nowrap;
        margin-bottom: 1em;
		}

#bottom-navigation {
       text-align: center;
       font-size: xx-small;
       margin: 0.5em;
    }

#copyright {
       text-align: center;
       font-size: xx-small;
       margin: 0.5em;
    }

#bottom-logos {
       text-align: center;
       margin: 0.5em;
}


p,h1,pre {
        margin:0em .71em .71em .71em;
		}

h1 {
		font-size:14pt;
		padding-top:.71em;
		}

#banner h1 {
		font-size:14pt;
		padding:.71em .71em 0em .71em;
		margin:0em;
		}

.tabs {
        background-image:  url('images/tabbar.png');
        background-repeat: repeat-x;
        min-width: 800px;
        white-space: nowrap;
        height: 23px;
        font-weight: normal;
        color: <xsl:value-of select="$dark-color"/>;
        font-size: 8pt;
        text-transform: uppercase;
        letter-spacing: .1em;
        font-weight: bold;
        clear: both;
    <xsl:choose>
        <xsl:when test="$ie">
        text-align: center;
        </xsl:when>
        <xsl:otherwise>
        text-align: -moz-center;
        </xsl:otherwise>
    </xsl:choose>

	}

.tab:visited {
     color: #000;
    }


.tab {
         color: #000;
<!--        color: <xsl:value-of select="$dark-color"/>;-->
        margin: 0 0 0 0;
        padding: 0em 1em 0em 1em;
        height: 17px;
        position: relative;
        top: 3px;
        border-left: 1px solid white;
     }



.tab:hover {
        color: #000;
		background-color: <xsl:value-of select="$medium-color"/>;
        text-decoration: none;
     }


.tab-selected {
        position: relative;
        top: 3px;
        line-height: 0px;
        margin: 0 0 0 0;
        padding: 1px 1em 0em .5em;
        background-image:  url('images/tab-shadow-top.png');
        background-repeat: repeat-x;
        background-color: #FFF;
      }

.tab-selected-left {
        position: relative;
        top: 3px;
        margin: 0 0 0 0;
        padding: 1px 0em 0em 0em;
        background-image:  url('images/tab-shadow-left.png');
        background-repeat: no-repeat;
        background-color: #FFF;
      }

ul {
    list-style-type: square;
    }


#left-menu {
     margin: 25px 0 0 1px;
     padding: 0 0 0 0;
     list-style-type: none;
     list-style-image: none;
    }


#left-link {
             display: block;
             height: 15px;
             color: <xsl:value-of select="$dark-color"/>;
             font-weight: bold;
             padding: 0.5em .5em 1em .5em;
             text-decoration: none;
             margin-left: 2em;
             list-style-type: none;
             list-style-image: none;
           }

#left-link:hover {
             color: <xsl:value-of select="$medium-color"/>;
             text-decoration: none;
           }

#left-link-selected {
             display: block;
             height: 15px;
             font-weight: bold;
             padding: 0.5em .5em 1em 2.5em;
             text-decoration: none;
             margin-left: 10em;
             list-style-type: none;
             list-style-image: none;
             color: <xsl:value-of select="$medium-color"/>;
           }

a {
     color: <xsl:value-of select="$orbeon-blue-color"/>;
     text-decoration: none;
   }

a:hover {
    text-decoration: underline;
    }

#leftcontent li {
    margin-left: -1em;
    margin-right: 1em;
    margin-top: 0em;
    }

#leftcontent h1 {
    background-image: url('images/stripes-blue.png');
    background-repeat: repeat;
    background-position: 0 1px;
    height: 1.5em;
    color: #000;
    font-weight: bolder;
    font-size: 10pt;
    color: <xsl:value-of select="$dark-color"/>
    text-align: center;
    padding: 0.1em .5em .1em .5em;
    margin-top: 1em;
    margin-left: 0.1em;
    margin-right: 0.1em;
    margin-bottom: 1em;
    <!-- text-transform: uppercase; -->
    }

#centercontent h1 {
    background-image: url('images/stripes-orange.png');
    background-repeat: repeat;
    background-position: 0 1px;
    color: <xsl:value-of select="$dark-color"/>;
    font-size: 11pt;
    font-weight: bold;
    text-align: left;
    padding: .5em .5em .5em 1em;
    margin: 0em;
    <!-- text-transform: uppercase; -->
    }

#centercontent h2 {
    color: <xsl:value-of select="$dark-color"/>;
    border-bottom: solid 1px <xsl:value-of select="$dark-color"/>;
    background-repeat: repeat;
    background-position: 0 1px;
    font-size: 9pt;
    font-weight: bold;
    padding: .5em;
    }

#centercontent h3 {
    color: <xsl:value-of select="$dark-color"/>;
    font-size: 10pt;
    font-weight: bold;
    margin-top: 2em;
    margin-left: 1em;
    }

#centercontent h4 { color: <xsl:value-of select="$dark-color"/>;
     font-weight: bold;
     margin-left: 0.5em;
   }

#centercontent h5 {
      padding: 0.5em;
    }

#centercontent img {
    display: block;
    position: relative;
    left: 10em
    background-color: white;
    }

#centercontent p {
    margin-top: 1em;
    margin-left: 1em;
    margin-right: 2em;
    }

#centercontent img {
    align: center;
}


.box {
     margin: 10px; 0px, 10px, 3px;
     font-size: 9pt;
    }
.box-header {  <!-- all non-home page right column box headers -->
     background: url('images/box-header.png') top left no-repeat;
     text-align: center;
     color: white;
     font-size: 10pt;
     font-weight: normal;
     <!-- text-transform: uppercase; -->
    }

.box-middle {
     background: url('images/box-middle.png') top left repeat-y;
     color: <xsl:value-of select="$dark-color"/>;
     padding: 10px;
    }

.box-footer {
    background: url('images/box-footer.png') top left no-repeat;

    }

.box-header-orange {  <!-- home page right column box header -->
     background: url('images/box-header-orange.png') top left no-repeat;
     text-align: center;
     color: white;
     font-size: 10pt;
     font-weight: normal;
     <!-- text-transform: uppercase; -->
    }

.box-middle-orange {
     background: url('images/box-middle-orange.png') top left repeat-y;
     color: #666699;
     padding: 10px;
    }

.box-footer-orange {
    background: url('images/box-footer-orange.png') top left no-repeat;

    }

#centercontent table {
    font-size: 10pt;
    border-collapse: collapse;
   }

#centercontent table th {
    background-color: <xsl:value-of select="$verylight-color"/>;
    color: <xsl:value-of select="$dark-color"/>;
    text-align: center;
    padding: .3em;
	border:	1px solid <xsl:value-of select="$light-color"/>;
   }

#centercontent table td {
    background-color: #ffffff;
    color: black;
    padding: .2em;
	border:	1px solid <xsl:value-of select="$light-color"/>;
    margin:	0px;
    }

.image {
    margin-top: 1em;
    margin-bottom: 1em;
    <xsl:choose>
        <xsl:when test="$ie">
    text-align: center;
        </xsl:when>
        <xsl:otherwise>
    text-align: -moz-center;
        </xsl:otherwise>
    </xsl:choose>
}

.image a img{
    border: 0px;
}


.legend {
    text-align: center;
    font-style: italic;
    margin-top: 0.5em;
}

/* XML Formatting classes */
.xml-source {margin-left: 3em;}
.cd {margin-left: 0px; margin-top: 0px; margin-bottom: 0px}
.rd {margin-left: 0px; margin-top: 0px; margin-bottom: 0px}
.id {margin-left: 2em; margin-top: 0px; margin-bottom: 0px}
.x  {cursor: pointer; cursor:hand}
.c  {}
.t  {font-weight: bold;}

@media print {
    @page {
       margin-left: 1.5cm;
       margin-right: 1.5cm;
       margin-top: 2cm;
       margin-bottom: 2cm;
    }

   #main {
    border-right: 0px;
    border-left: 0px;
    border-bottom:0px;
   }
   #leftcontent { visibility: collapse }
   #rightcontent { visibility: collapse;}
   .tabs { visibility: collapse }
   .tab { visibility: collapse }
   #cleaner { visibility: collapse }
   #banner { visibility: collapse;}
<!--   #centercontent { position: fixed; top: -9; left: -160; width: 100%;}-->
   #centercontent { position: relative; top: -2cm; left: -3.5cm; width: 15cm;}
   #centercontent p {width: 100%;  margin: 2em 0 0 0; padding: 0}
   #centercontent h1 {background-image: none;}
}

                    </root>
                </xsl:template>
            </xsl:stylesheet>
        </p:input>
        <p:output name="data" id="css" />
    </p:processor>

    <p:processor name="oxf:text-serializer">
        <p:input name="config">
            <config>
                <content-type>text/css</content-type>
            </config>
        </p:input>
        <p:input name="data" href="#css"/>
    </p:processor>

</p:config>
