<!--
  - Copyright 1998-2003, Orbeon, Inc.
  - All Rights Reserved
  -
  - This is unpublished proprietary source code of Orbeon, Inc. The
  - copyright notice above does not evidence any actual or intended
  - publication of such source code.
  -->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.w3.org/1999/XSL/Transform http://www.orbeon.com/1999/XSL/Transform"
    xmlns:xhtml="http://www.w3.org/1999/xhtml"
    xmlns:l="http://orbeon.org/layout"  xmlns:f="http://orbeon.org/oxf/xml/formatting" xmlns:xs="http://www.w3.org/2001/XMLSchema"
    >

    <xsl:import href="oxf:/oxf/xslt/utils/copy.xsl"/>
    <xsl:import href="oxf:/inspector/xml-formatting.xsl"/>

    <xsl:variable name="nav" select="doc('oxf:nav')"/>
    <xsl:variable name="path" select="string(doc('oxf:request')/request/path-info)"/>
    <xsl:variable name="logged-in" as="xs:boolean" select="doc('oxf:sec')/request-security/remote-user != ''"/>

    <xsl:template match="/" >
<!--        <xsl:message>SEC1: <xsl:copy-of select="doc('oxf:sec')"/> <xsl:value-of select="$logged-in"/></xsl:message>-->
        <xsl:variable name="page-id" select="/l:page/@id"/>
        <html>
            <head>
                <title>
                    <xsl:value-of select="/l:page/@title"/> 
                </title>
                <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
                <link rel="stylesheet" href="/orbeon-theme/orbeon-layout.cssd" type="text/css"/>
                <script language="JavaScript">
                  function openWindow(file, width, height) {
                  var features = 'width=' + width + ',height=' + height;
                  window.open(file, '_blank', features);
                  }

                    <xsl:value-of select="/l:page/l:script/text()"/>
                </script>
                
                <style type="text/css">
                    <xsl:value-of select="/l:page/l:style"/>
                </style>
            </head>
            <body>
                <xsl:copy-of select="/l:page/@onload"/>
                <div id="banner">
                    <div style="float: left">
                        <a href="/">
                            <img style="border:0 white; margin-left: 1em; margin-top: 0.2em" src="/orbeon-theme/images/orbeon-small-blueorange.gif"/>
                        </a>
                    </div>
                    <span style="float: right; margin-right: 1em; margin-top: .2em; white-space: nowrap">
                        <form method="GET" class="blue" style="margin:0.2em; margin-bottom:0em" action="http://www.google.com/custom">
                        	<!--
                        	Commented out this "log in" code and replaced it with the Download link below...
                            <xsl:choose>
                                <xsl:when test="$logged-in">
                                    <a href="/do-logout">Logout</a>
                                </xsl:when>
                                <xsl:otherwise>
                                    <a href="/my/download">Login</a>
                                </xsl:otherwise>
                            </xsl:choose>
                            -->
                            <a href="/community/downloads">Downloads</a> | <a href="/company/contact">Contact Us</a> |
                            <span style="white-space: nowrap">
                                Search:
                                <input type="text" name="q" size="10" maxlength="255" value=""/>
                                <input type="submit" name="sa" VALUE="Go" style="margin-left: 0.2em;"/>
                            </span>
                            <input type="hidden" name="cof" VALUE="GIMP:#FF9900;T:black;LW:510;ALC:#FF9900;L:http://www.orbeon.com/images/orbeon-google.png;GFNT:#666699;LC:#666699;LH:42;BGC:#FFFFFF;AH:center;VLC:#666699;GL:0;S:http://www.orbeon.com;GALT:#FF9900;AWFID:8ac636f034abb7d8;"/>
                            <input type="hidden" name="sitesearch" value="orbeon.com"/>
                        </form>
                    </span>
                </div>

                <div id="main">

                    <div class="tabs">
                        <xsl:choose>
                            <xsl:when test="$path = '/'">
                                <span class="tab-selected-left">&#160;</span>
                                <span class="tab-selected">Home</span>
                            </xsl:when>
                            <xsl:otherwise>
                                <a class="tab" href="/">Home</a>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:for-each select="$nav/l:tabs/l:tab">
                            <!--                            <xsl:message>-->
                            <!--                                  TAB:<xsl:value-of select="substring(@href,2)"/>-<xsl:copy-of select="$path"/>-<xsl:value-of select="if(starts-with(substring($path, 2), substring(@href, 2))) then '1' else '0'"/>-->
                            <!--                            </xsl:message>-->
                            <xsl:choose>
                                <xsl:when test="starts-with($path, @href)">
                                    <span class="tab-selected-left">&#160;</span>
                                    <span class="tab-selected">
                                        <xsl:value-of select="@name"/>
                                    </span>
                                </xsl:when>
                                <xsl:otherwise>
                                    <a class="tab" href="{@href}">
                                        <xsl:value-of select="@name"/>
                                    </a>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:for-each>
                        <span class="tab">&#160;</span>
                    </div>

                    <div id="main1">
                        <div>
                            <xsl:choose>
                                <xsl:when test="$path = '/'">
                                    <xsl:attribute name="id">main2-home</xsl:attribute>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:attribute name="id">main2</xsl:attribute>
                                </xsl:otherwise>
                            </xsl:choose>

                            <div id="leftcontent">
                                <!--                        <div id="left-menu-top">&#160;</div>-->
                                <ul id="left-menu">
                                    <xsl:for-each select="$nav/l:tabs/l:tab[starts-with($path, @href)]/l:item">
                                        <!--                            <xsl:message>-->
                                        <!--                                  LINK:<xsl:value-of select="@href"/>-<xsl:copy-of select="$path"/>-<xsl:value-of select="if(@href = $path) then '1' else '0'"/>-->
                                        <!--                            </xsl:message>-->
                                        <xsl:choose>
                                            <xsl:when test="@href = $path">
                                                <li id="left-link-selected">
                                                    <xsl:value-of select="."/>
                                                </li>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <li>
                                                    <a id="left-link" href="{@href}">
                                                        <xsl:value-of select="."/>
                                                    </a>
                                                </li>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    </xsl:for-each>
                                </ul>
                                <!--                        <div id="left-menu-bottom"/>-->

                                <xsl:apply-templates select="/l:page/l:left/*"/>
                            </div>

                            <xsl:choose>
                                <xsl:when test="/l:page/l:right">
                                    <div id="rightcontent">
                                        <xsl:apply-templates select="/l:page/l:right/*"/>
                                    </div>
                                </xsl:when>
                                <xsl:when test="$nav/l:tabs/l:tab[starts-with($path, @href)]/l:right/*">
                                    <div id="rightcontent">
                                        <xsl:apply-templates select="$nav/l:tabs/l:tab[starts-with($path, @href)]/l:right"/>
                                    </div>
                                </xsl:when>
                                <xsl:otherwise>
                                </xsl:otherwise>
                            </xsl:choose>

                            <div id="centercontent">
                                <xsl:apply-templates select="/l:page/l:center/*"/>
                            </div>

                            <div class="cleaner">&#160;</div>
                        </div>
                    </div>
                </div>

                <!-- Lower nav bar -->
                <div id="bottom-navigation">
                    <xsl:text> | </xsl:text>
                    <xsl:choose>
                        <xsl:when test="$path = '/'">
                            <span>Home</span>
                        </xsl:when>
                        <xsl:otherwise>
                            <a href="/">Home</a>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:text> | </xsl:text>
                    <xsl:for-each select="$nav/l:tabs/l:tab">
                        <xsl:choose>
                            <xsl:when test="starts-with($path, @href)">
                                <span>
                                    <xsl:value-of select="@name"/>
                                </span>
                            </xsl:when>
                            <xsl:otherwise>
                                <a href="{@href}">
                                    <xsl:value-of select="@name"/>
                                </a>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:text> | </xsl:text>
                    </xsl:for-each>
                </div>
                <div id="copyright">Copyright &#169; 1999-2004 Orbeon, Inc. All rights reserved.</div>
                <div id="bottom-logos">
                    <a href="/software/" style="margin-right: 2em">
                        <img src="/images/ois-powered-80.png" border="0"/>
                    </a>
                    <a href="http://www.w3.org">
                        <img src="/orbeon-theme/images/w3c.gif" width="33" height="22" border="0"/>
                    </a>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="l:box">
        <xsl:variable name="color" select="if(@home) then '-orange' else ''"/>
        <table cellspacing="0" cellpadding="0" width="170" class="box" align="center">
            <tr>
                <td width="170" class="box-header{$color}">
                    <xsl:value-of select="@title"/>
                </td>
            </tr>
            <xsl:for-each select="l:line">
                <tr>
                    <td width="170" class="box-middle{$color}">
                        <xsl:apply-templates/>
                    </td>
                </tr>

            </xsl:for-each>
            <tr>
                <td width="170" class="box-footer{$color}">&#160;</td>
            </tr>
        </table>
    </xsl:template>

    <xsl:template match="l:xml-source">
        <div class="xml-source">
            <xsl:apply-templates mode="xml-formatting">
                <xsl:with-param name="show-namespaces" select="not(@show-namespaces = 'false')"/>
            </xsl:apply-templates>
        </div>
    </xsl:template>

    <xsl:template match="f:alert" xmlns:f="http://orbeon.org/oxf/xml/formatting">
        <div style="border: 1px solid red">
            ALERT: <xsl:copy-of select="."/>
        </div>
    </xsl:template>

    <xsl:template match="l:errors">
        <xsl:if test="/l:page/f:alerts">
            <div>
                <p>
                    Please correct the following errors:
                </p>
                <ul style="color: red; text-transform: capitalize">
                    <xsl:for-each select="/l:page/f:alerts/f:alert">
                        <li><xsl:value-of select="."/></li>
                    </xsl:for-each>
                </ul>
            </div>
        </xsl:if>

    </xsl:template>
    
    <!-- Studio version data -->
    <xsl:template match='*:studio-version'>
      <xsl:text>1.2.1</xsl:text>
    </xsl:template>

    <xsl:template match='*:studio-download'>
      <a href="http://prdownloads.sourceforge.net/orbeon/orbeon-oxfstudio-full_1.2.1.zip?download" target="_blank">Download</a>
    </xsl:template>




    <!-- Just copy other "xhtml" elements removing the namespace -->
    <xsl:template match="*[namespace-uri() = 'http://www.w3.org/1999/xhtml']" priority="-1">
        <xsl:element name="{local-name()}">
            <xsl:apply-templates select="@*|node()"/>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="@*|node()" priority="-2">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>


</xsl:stylesheet>
